{% extends 'base/summarized.html' %}
{% load mathfilters %}

{% block base_title %}Setup workers{% endblock %}


{% block content %}
    <div class="jumbotron">
        <div>
            <h1>Setup workers</h1>
            <div class="lead">
                <span class="font-italic">Workers</span> are interested in solving <span class="font-italic">tasks</span> relevant to their <span class="font-italic">profile</span>.
                <br>
                A worker profile is defined as an array of floats :
                <br>
                For each skill supported by the platform, the worker has a <span class="font-italic">skill level</span> set between 0 and 1.
                <br>
                A skill level of 0 means the skill is unknown to the worker while a skill level of 1 means the worker is an expert in this given skill.


            </div>
            <hr class="my-4">
        </div>

        <div>
            {% if object_list.count == 0 %}
                <div class="alert alert-info" role="alert">
                    No workers for now.
                    <hr>
                    Add a new worker with the "Add Worker" button or generate multiple workers following a pattern with the "Generate workers" button.
                </div>
            {% else %}
                {% include 'base/pagination.html' with page_obj=page_obj paginator=paginator%}

                <div class="row">
                    <div class="col-4">
                        <div class="list-group" id="myList" role="tablist">
                            {% for worker in object_list %}
                                <a class="list-group-item list-group-item-action {% if worker.id == object_list.0.id %}active{% endif %}" data-toggle="list" href="#w_{{ worker.id }}" role="tab">
                                    Worker : {{ worker.id }}
                                </a>

                            {% endfor %}
                        </div>
                    </div>

                    <div class="col-8">
                        <div class="tab-content">
                            {% for worker in object_list %}
                                <div class="tab-pane {% if worker.id == object_list.0.id %}active{% endif %}" id="w_{{ worker.id }}" role="tabpanel">
                                    <div class="d-flex bd-highlight mb-2">
                                        <div class="p-2 bd-highlight">
                                            <h3 class="font-weight-bold">Worker {{ worker.id }}</h3>
                                        </div>

                                        <div class="ml-auto p-1 bd-highlight">
                                            <a href="{% url 'workers-del' worker.id %}">
                                                <button class="btn btn-danger">Remove</button>
                                            </a>
                                        </div>
                                    </div>
                                    <hr>

                                    <div>
                                        {% for wab in worker.abilities.all %}
                                            <div class="row p-2">
                                                <div class="col-sm-2 font-weight-bold">
                                                    &#8226 {{ wab.ability.name }} :
                                                </div>

                                                <div class="col-sm-10">
                                                    {% include 'base/display_level.html' with level=wab.level %}
                                                </div>
                                            </div>
                                        {% endfor %}
                                    </div>

                                    <!--

                                    {% if worker.volumes.count > 0 %}
                                        <hr>

                                        <div>
                                            <h4>Present in {{ worker.volumes.count }} nodes :</h4>

                                            <ul>
                                                {% for volume in worker.volumes.all %}
                                                    <li>{{ volume.id }}</li>
                                                {% endfor %}
                                            </ul>
                                        </div>


                                    {% endif %}
                                    -->

                                </div>
                            {% endfor %}
                         </div>
                    </div>
                </div>
            {% endif %}

            <hr class="my-4">

        </div>

        <div>
            <div class="d-flex bd-highlight mb-3">
                <div class="p-2 bd-highlight">
                    <a href="{% url 'workers-add' %}">
                        <button type="button" class="btn btn-primary" data-toggle="tooltip" data-placement="top" title="Add a single custom worker">
                            Add worker
                        </button>
                    </a>
                </div>
                <div class="p-2 bd-highlight">
                    <a href="{% url 'workers-gen' %}">
                        <button class="btn btn-primary" data-toggle="tooltip" data-placement="top" title="Generate multiple workers following a pattern">
                            Generate workers
                        </button>
                    </a>
                </div>
                <div class="p-2 bd-highlight">
                    <a href="{% url 'workers-upload' %}">
                        <button class="btn btn-primary" data-toggle="tooltip" data-placement="top" title="Import workers from CSV file">
                            Import workers
                        </button>
                    </a>
                </div>

                {% if object_list.count is not 0 %}
                    <div class="p-2 bd-highlight">
                        <a href="{% url 'workers-del-all' %}">
                            <button class="btn btn-danger" data-toggle="tooltip" data-placement="top" title="Remove all workers">
                                Remove all
                            </button>
                        </a>
                    </div>
                {% endif %}

                <div class="ml-auto p-2 bd-highlight">
                    <form method="post">
                        {% csrf_token %}
                        <button class="btn btn-primary" data-toggle="tooltip" data-placement="top" title="Trees generation" {% if paginator.count is 0 %}disabled{% endif %}>
                            Next
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <script>
        $('#myList a').on('click', function (e) {
            e.preventDefault()
            $(this).tab('show')
        })
    </script>
{% endblock %}
